> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Attach policy set to a user group

POST https://api.getzep.com/api/v4/user-groups/{group_uuid}/policy-sets
Content-Type: application/json

Administrative operation. Requires an account-admin bearer token and the X-Zep-Project header. Project API keys are rejected. Use zepctl or the Zep dashboard.

Reference: https://docs-beta.getzep.com/sdk-reference/user-group/attach-policy-set

## Request

### Path parameters

- `group_uuid` (string, required) — User group UUID

### Body (application/json)

This endpoint expects a v4.AttachPolicySetRequest.

- `policy_set_uuid` (string, required) — The UUID of the policy set to attach to the user group.

## Response

### 200

OK

- `items` (list of models.PolicySetSummary, optional) — The policy sets attached to the user group after this operation.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

## Types

### models.PolicySetSummary

- `mode` (string, optional)
- `name` (string, optional)
- `uuid` (string, optional)
- `version` (integer, optional)

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "policy_set_uuid": "string"
}
```

**Response**

```json
{
  "items": [
    {
      "mode": "string",
      "name": "string",
      "uuid": "string",
      "version": 1
    }
  ]
}
```